OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.DetailTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISDetailTexture :: MonadIO m => m Bool
- gl_SGIS_detail_texture :: Bool
- gl_DETAIL_TEXTURE_2D_BINDING_SGIS :: GLenum
- gl_DETAIL_TEXTURE_2D_SGIS :: GLenum
- gl_DETAIL_TEXTURE_FUNC_POINTS_SGIS :: GLenum
- gl_DETAIL_TEXTURE_LEVEL_SGIS :: GLenum
- gl_DETAIL_TEXTURE_MODE_SGIS :: GLenum
- gl_LINEAR_DETAIL_ALPHA_SGIS :: GLenum
- gl_LINEAR_DETAIL_COLOR_SGIS :: GLenum
- gl_LINEAR_DETAIL_SGIS :: GLenum
- glDetailTexFuncSGIS :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glGetDetailTexFuncSGIS :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetSGISDetailTexture :: MonadIO m => m Bool

Is the SGIS_detail_texture extension supported?

gl_SGIS_detail_texture :: Bool

Is the SGIS_detail_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISDetailTexture` in those cases instead.

# Enums

gl_DETAIL_TEXTURE_2D_BINDING_SGIS :: GLenum

gl_DETAIL_TEXTURE_2D_SGIS :: GLenum

gl_DETAIL_TEXTURE_FUNC_POINTS_SGIS :: GLenum

gl_DETAIL_TEXTURE_LEVEL_SGIS :: GLenum

gl_DETAIL_TEXTURE_MODE_SGIS :: GLenum

gl_LINEAR_DETAIL_ALPHA_SGIS :: GLenum

gl_LINEAR_DETAIL_COLOR_SGIS :: GLenum

gl_LINEAR_DETAIL_SGIS :: GLenum

# Functions

glDetailTexFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `n`.
-> Ptr GLfloat | `points` pointing to `n*2` elements of type `GLfloat`.
-> m () |

glGetDetailTexFuncSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |